# mdtraj.compute_J3_HN_C

mdtraj.compute_J3_HN_C(traj, model='Bax2007')

  Calculate the scalar coupling between HN and C_prime.

  This function does not take into account periodic boundary conditions (it will give spurious results if the three atoms which make up any angle jump across a PBC (are not “wholed”))

  Parameters:

    - traj (mdtraj.Trajectory) – Trajectory to compute J3_HN_C for

    - model (string, optional, default="Bax2007") – Which scalar coupling model to use. Must be one of Bax2007

  Returns:

    - indices (np.ndarray, shape=(n_phi, 4), dtype=int) – Atom indices (zero-based) of the phi dihedrals

    - J (np.ndarray, shape=(n_frames, n_phi)) – Scalar couplings (J3_HN_C, in [Hz]) of this trajectory. J[k] corresponds to the phi dihedral associated with atoms indices[k]

  Notes

  The coefficients are taken from the references below–please cite them.

  References

  [1]

  Hu, J. S., & Bax, A. “Determination of ϕ and ξ1 Angles in Proteins from 13C-13C Three-Bond J Couplings Measured by Three-Dimensional Heteronuclear NMR. How Planar Is the Peptide Bond?.” J. Am. Chem. Soc., 119(27), 6360-6368 (1997)